# Paze API REST 2.0 Paze API **Version:** 1.2.0 ## Servers - `https://api-sandbox.nuvei.com/paze-api` — sandbox - `https://api.nuvei.com/paze-api` — prod ## Tags - **Transaction Processing** ## Security Schemes ### accessToken - Type: `http` - Scheme: `bearer` - Bearer Format: `JWT` ### apiKey - Type: `apiKey` - In: `header` - Header/Param Name: `X-API-KEY` ## Paths ### `/entities/{entity-id}/client-info` #### GET **Summary:** Get the Merchant's identifier to be used with Paze **Operation ID:** `getPazeClientInfo` **Tags:** Transaction Processing **Security:** accessToken OR apiKey **Parameters:** | Name | In | Type | Required | Description | |------|----|------|----------|-------------| | `entity-id` | path | InternalEntityId | Yes | NCP Entity ID | **Responses:** - **200** — OK - Content-Type: `application/json` **Schema:** `PazeGeneralResponse` - **client** — (`PazeClient`) — _object_ - **id** — (`PazeId`) — _string_ — **required** - **name** — (`PazeName`) — _string_ — **required** - **profileId** — (`PazeProfileId`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **400** — Bad Request - Content-Type: `application/json` **Schema:** `PazeGeneralResponse` - **client** — (`PazeClient`) — _object_ - **id** — (`PazeId`) — _string_ — **required** - **name** — (`PazeName`) — _string_ — **required** - **profileId** — (`PazeProfileId`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **401** — Unauthorized - Content-Type: `application/json` **Schema:** `PazeGeneralResponse` - **client** — (`PazeClient`) — _object_ - **id** — (`PazeId`) — _string_ — **required** - **name** — (`PazeName`) — _string_ — **required** - **profileId** — (`PazeProfileId`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **403** — Forbidden - Content-Type: `application/json` **Schema:** `PazeGeneralResponse` - **client** — (`PazeClient`) — _object_ - **id** — (`PazeId`) — _string_ — **required** - **name** — (`PazeName`) — _string_ — **required** - **profileId** — (`PazeProfileId`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **404** — Conflict - Content-Type: `application/json` **Schema:** `PazeGeneralResponse` - **client** — (`PazeClient`) — _object_ - **id** — (`PazeId`) — _string_ — **required** - **name** — (`PazeName`) — _string_ — **required** - **profileId** — (`PazeProfileId`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting - **500** — Internal Server Error - Content-Type: `application/json` **Schema:** `PazeGeneralResponse` - **client** — (`PazeClient`) — _object_ - **id** — (`PazeId`) — _string_ — **required** - **name** — (`PazeName`) — _string_ — **required** - **profileId** — (`PazeProfileId`) — _string_ — **required** - **result** — (`BaseApiResultOutput`) — _object_ — **required** - **status** — (`BaseResultStatus`) — _string_ — **required** — enum: `success`, `error` — Status of the request: success | error - **errors** — (`ResultError`) — _object_ — If an error occurred on the request side, an error code is returned in this parameter. - **code** — _string_ — **required** — example: `"7000.1000"` — If an error occurred on the request side, an error code is returned in this parameter. - **reason** — _string_ — example: `"Internal Processing Error"` — If an error occurred on the request side, then an error reason is returned in this parameter. - **reference** — _string_ — example: `"110.1260"` — Reference value for troubleshooting